## ******************************************************************
## ****************** return summed coefficients ********************
## ******************************************************************
sum.comp.coeffs <- function(prms, pop, distances)
  as.vector(c_comp.coeffs(prms, distances, pop$pop.size)) + 1

## ******************************************************************
## ******************** compute resource shares *********************
## ******************************************************************
compute.resource.shares <- function(prms, pop, comp.sums) {

  w.i <- prms$fxy(pop$x, pop$y) * prms$K / comp.sums

  ## include asymmetric male display costs if desired
  if(prms$asymmetric.costs==1) {
    males.1 <- which(pop$sex==0 & pop$disp==1)
    w.i[males.1] <- w.i[males.1]*(1-prms$cost.type.1)
  }

  ## fitness is computed using a Holling type II function
  prms$s0 / (1 + prms$w0/w.i)
}
