## Note that we add extra Gaussian distributions around the borders to
## smooth out the wrap-around boundaries. For small sigma (e.g.,
## <=0.01) these change the heights of the main peaks by less than
## 0.1%, however, for larger sigma this difference can become
## appreciable.

## environment with two 1D gaussian high density regions
gaussian.1D <- function(x, y, sigma, p.h, K.base) {
  K.base +
    exp( -1/2*((x-0.25)^2)/sigma^2 ) * p.h[1] +  # P1
    exp( -1/2*((x-0.75)^2)/sigma^2 ) * p.h[2] +  # P2
    exp( -1/2*((x-1.25)^2)/sigma^2 ) * p.h[1] +  # Px_Right
    exp( -1/2*((x+0.25)^2)/sigma^2 ) * p.h[2]    # Px_Left
}

## environment with two 2D gaussian high density regions
gaussian.2D <- function(x, y, sigma, p.h, K.base) {
  K.base +
    exp( -1/2*((x-0.25)^2+(y-0.25)^2)/sigma^2 ) * p.h[1] +  # P1
    exp( -1/2*((x-0.75)^2+(y-0.25)^2)/sigma^2 ) * p.h[2] +  # P2
    exp( -1/2*((x-1.25)^2+(y-0.25)^2)/sigma^2 ) * p.h[1] +  # Px_Right
    exp( -1/2*((x+0.25)^2+(y-0.25)^2)/sigma^2 ) * p.h[2] +  # Px_Left
    exp( -1/2*((x-0.25)^2+(y+0.25)^2)/sigma^2 ) * p.h[1] +  # Py_Front1
    exp( -1/2*((x-0.75)^2+(y+0.25)^2)/sigma^2 ) * p.h[2] +  # Py_Front2
    exp( -1/2*((x-0.25)^2+(y-0.75)^2)/sigma^2 ) * p.h[1] +  # Py_Back1
    exp( -1/2*((x-0.75)^2+(y-0.75)^2)/sigma^2 ) * p.h[2]    # Py_Back2
}
